// Spartan Schema
// Copyright © 2021-2023 Adam Nelson <adam@nels.onl>
// Distributed under the Blue Oak Model License
/**
 * Returns a parseable string representation of a `Path`, in JSONPath format.
 */
export function pathToString(path) {
    let output = '$';
    for (const element of path) {
        if (typeof element === 'string' && /^[a-z_$][a-z0-9_$]*$/i.test(element)) {
            output = `${output}.${element}`;
        }
        else {
            output = `${output}[${JSON.stringify(element)}]`;
        }
    }
    return output;
}
