/**
 * A more general type than `PathArray`, for any iterable value that can
 * describe a specific location in a JSON document.
 */
export declare type Path = Iterable<string | number>;
/**
 * A path to a specific location in a JSON document.
 */
export declare type PathArray = readonly (string | number)[];
/**
 * Returns a parseable string representation of a `Path`, in JSONPath format.
 */
export declare function pathToString(path: Path): string;
